## org.hibernate.service
Interface ServiceRegistry

All Known Subinterfaces:
  BootstrapServiceRegistry, ServiceRegistryImplementor, SessionFactoryServiceRegistry

All Known Implementing Classes:
  AbstractServiceRegistryImpl, BootstrapServiceRegistryImpl, SessionFactoryServiceRegistryImpl, StandardServiceRegistryImpl

    public interface ServiceRegistry

A registry of `services`.

Method Summary
`ServiceRegistry` `getParentServiceRegistry()` Retrieve this registry's parent registry.

`

`<R extends Service> R`

`

`getService(Class<R> serviceRole)`
Retrieve a service by role.

Method Detail

### getParentServiceRegistry

    ServiceRegistry getParentServiceRegistry()

  Retrieve this registry's parent registry.

  Returns:
    The parent registry. May be null.

### getService

    <R extends Service> R getService(Class<R> serviceRole)

  Retrieve a service by role. If service is not found, but a `BasicServiceInitiator` is registered for this service role, the service will be initialized and returned.

  NOTE: We cannot return `<R extends Service<T>>` here because the service might come from the parent...

  Type Parameters:
    `R` - The service role type
  Parameters:
    `serviceRole` - The service role
  Returns:
    The requested service.
  Throws:
    `UnknownServiceException` - Indicates the service was not known.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.